aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2019-06-10 17:28:38 +1200
committerTom Ryder <tom@sanctum.geek.nz>2019-06-10 17:28:38 +1200
commit330b73614aeb2bfe6838da363c462a97d7e0292b (patch)
treef71d2ccbd783cff8255c09051e7a32d6222958b8
parentMerge branch 'release/v5.34.0' (diff)
parentBump VERSION (diff)
downloaddotfiles-330b73614aeb2bfe6838da363c462a97d7e0292b.tar.gz
dotfiles-330b73614aeb2bfe6838da363c462a97d7e0292b.zip
Merge branch 'hotfix/v5.34.1'v5.34.1
* hotfix/v5.34.1: Allow merge commits to master
-rw-r--r--VERSION4
-rw-r--r--git/template/hooks/pre-commit.sh3
2 files changed, 5 insertions, 2 deletions
diff --git a/VERSION b/VERSION
index c37a7818..2ea79f43 100644
--- a/VERSION
+++ b/VERSION
@@ -1,2 +1,2 @@
-tejr dotfiles v5.34.0
-Mon Jun 10 05:03:19 UTC 2019
+tejr dotfiles v5.34.1
+Mon Jun 10 05:28:24 UTC 2019
diff --git a/git/template/hooks/pre-commit.sh b/git/template/hooks/pre-commit.sh
index 22e876ad..f0e093b3 100644
--- a/git/template/hooks/pre-commit.sh
+++ b/git/template/hooks/pre-commit.sh
@@ -7,6 +7,9 @@
# Allow commit if there's no develop branch
git show-ref --quiet --verify refs/heads/develop || exit 0
+# Allow commit if it's a merge. Is there a better way to test this?
+! git rev-parse --quiet --verify MERGE_HEAD >/dev/null || exit 0
+
# Throw toys
printf >&2 'Branch develop exists, commits to master blocked\n'
exit 1